GNU bug report logs - #57376
28.1; rcirc-fill-flag ignored after 27->28 upgrade

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Trent W. Buck" <trentbuck@HIDDEN>; Keywords: moreinfo; dated Wed, 24 Aug 2022 08:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 24 Sep 2022 15:52:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 11:52:12 2022
Received: from localhost ([127.0.0.1]:45018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc7Rr-0000J6-Li
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 11:52:11 -0400
Received: from mout01.posteo.de ([185.67.36.65]:37047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1oc7Ro-0000Ij-6i
 for 57376 <at> debbugs.gnu.org; Sat, 24 Sep 2022 11:52:10 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 60B5E240026
 for <57376 <at> debbugs.gnu.org>; Sat, 24 Sep 2022 17:51:59 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1664034722; bh=ZnsYyUkREOJJrN1pYst3IzzvJZeMrKbU4aWe4CVExrs=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=qskmXGBZrSbNxieoyN5cLR79mjgT3qJq+ms6FOOlWzAEfA9reL+qrRmSqJM/jZSGI
 qg0z+dQwEGwI/ltiyYYbtcBufVlXw/tOb2GombMa1TTUSd8hoPr/3NINOGz37VpCF3
 0cn6JLZXcTZkKBHPXlKyxt6K/pOz44YXdcvx3a1lAcULA86M9DVEt3c/54xkfpH+m7
 aPR7OmxyGlArC8OqB5oSRfbwgvYLzXP6rWaFoppf8oZ+70JrtvvXT0YXKYMdAIRir6
 8JlPnguofGDOFAuh/4u0d2Q2cIJkuLS7gnJYkc7cEsQPEFLiT2qJl0jrXizfojFf0l
 Pp3wGgn/17Bkg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MZYRg3Jp0z9rxM;
 Sat, 24 Sep 2022 17:51:59 +0200 (CEST)
From: Philip Kaludercic <philipk@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
In-Reply-To: <871qs0es5i.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 24 Sep 2022 16:58:01 +0200")
References: <87y1vekpyl.fsf@HIDDEN> <875yihoofa.fsf@HIDDEN>
 <871qt4qquo.fsf@HIDDEN> <YwmYcRdgysNT2C5y@HIDDEN>
 <875yiedrx6.fsf@HIDDEN> <87wnat95yb.fsf@HIDDEN>
 <87edx1dczm.fsf@HIDDEN> <871qs0es5i.fsf@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Sat, 24 Sep 2022 15:51:59 +0000
Message-ID: <87wn9srcrk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57376
Cc: "Trent W. Buck" <trentbuck@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> At the very least I was wrong about the (fill-region (point-min)
>> (point-max)), so that has to go.  But I will modify the code locally to
>> check if squeezing white-space before the prompt is still necessary or
>> not.
>
> This was a month ago -- was a fix for this pushed?

No, but I can do so very soon=E2=84=A2.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 24 Sep 2022 14:58:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 10:58:13 2022
Received: from localhost ([127.0.0.1]:44918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc6bd-0002uo-6j
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 10:58:13 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oc6bb-0002uX-9c
 for 57376 <at> debbugs.gnu.org; Sat, 24 Sep 2022 10:58:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=xvjuWzj7Qw/YYIFIt6kxoLhmhd5NhsKZrqWtKw2uqX4=; b=XLRC3DETlKfUryhRWzyZXvKac/
 9YfhpSkduZiKmKs5VQtFqOYVOlYxb/1qWkHokl1pENggXoi6g/N5Lz//bFyL0mcjw0Rs6ZPlR45IY
 EfMP9dILDKwv5QV1CjJf3cUFs3FFeq8lnxIazB8HApLq/8i5bcsOih2xquFDFETjhy6Q=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oc6bS-0004ZU-G5; Sat, 24 Sep 2022 16:58:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
In-Reply-To: <87edx1dczm.fsf@HIDDEN> (Philip Kaludercic's message of "Sat, 
 27 Aug 2022 13:37:01 +0000")
References: <87y1vekpyl.fsf@HIDDEN> <875yihoofa.fsf@HIDDEN>
 <871qt4qquo.fsf@HIDDEN> <YwmYcRdgysNT2C5y@HIDDEN>
 <875yiedrx6.fsf@HIDDEN> <87wnat95yb.fsf@HIDDEN>
 <87edx1dczm.fsf@HIDDEN>
X-Now-Playing: IDM Theft Able's _Rogue Pulse: Gravity Collapse (10)_:
 "Exhalations in a Flashlight Beam"
Date: Sat, 24 Sep 2022 16:58:01 +0200
Message-ID: <871qs0es5i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Philip Kaludercic <philipk@HIDDEN> writes: > At the very
 least I was wrong about the (fill-region (point-min) > (point-max)), so that
 has to go. But I will modify the code locally to > check if squeezing
 white-space before the prompt is still [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57376
Cc: "Trent W. Buck" <trentbuck@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Philip Kaludercic <philipk@HIDDEN> writes:

> At the very least I was wrong about the (fill-region (point-min)
> (point-max)), so that has to go.  But I will modify the code locally to
> check if squeezing white-space before the prompt is still necessary or
> not.

This was a month ago -- was a fix for this pushed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 27 Aug 2022 13:37:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 27 09:37:20 2022
Received: from localhost ([127.0.0.1]:55488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRw00-0007y5-CN
	for submit <at> debbugs.gnu.org; Sat, 27 Aug 2022 09:37:20 -0400
Received: from mout01.posteo.de ([185.67.36.65]:42841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1oRvzx-0007xp-QX
 for 57376 <at> debbugs.gnu.org; Sat, 27 Aug 2022 09:37:19 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id DBC46240026
 for <57376 <at> debbugs.gnu.org>; Sat, 27 Aug 2022 15:37:09 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1661607431; bh=46l+fsxClauAjqkNArYK1gwuk/HdKb4emO2Du9UPy/Y=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=XflT3StgNrDh9Bww3PGf12COEPvzTRW6mUxJ1HvFLqgUSgPYK761WLgPQI1kXSD0J
 Amcfh6RKtmgJrsLsDLpPVLIyZ3i5kNA+myYeORvPDiAIGbftH8enBFa2HumrYpNtdm
 IKD68FLWKbE67BJBqmOH50sId6A9SiIpSjBQdPbpTwxDZeyE3ioDXE4LolPkbbZJci
 sxOCL234eW4j/xlaIPENaZ247bMeed/ejjPNToC2rZ+12sOYAnw9NR/2elqMhA1B+h
 +y58SLlPDcVErODM9Hiz+xtXaOUS2DGdNQyBKNDO0Ktot8xSKX/VUAHmhEFdq2dPHW
 OWT/sLy7/BvUA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MFHn05G7jz9rxS;
 Sat, 27 Aug 2022 15:37:06 +0200 (CEST)
From: Philip Kaludercic <philipk@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
In-Reply-To: <87wnat95yb.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 27 Aug 2022 15:22:36 +0200")
References: <87y1vekpyl.fsf@HIDDEN> <875yihoofa.fsf@HIDDEN>
 <871qt4qquo.fsf@HIDDEN> <YwmYcRdgysNT2C5y@HIDDEN>
 <875yiedrx6.fsf@HIDDEN> <87wnat95yb.fsf@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Sat, 27 Aug 2022 13:37:01 +0000
Message-ID: <87edx1dczm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57376
Cc: "Trent W. Buck" <trentbuck@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>
> Philip Kaludercic <philipk@HIDDEN> writes:
>
>> But I am not sure I understand what is going on here, since this "fills
>> the region" between the beginning of the prompt and either the end of
>> the prompt or the next (nonexistant?) message?  So shouldn't this
>> have -- prior to my change -- have done nothing, all the time?
>
> Hm...  like I said, I'm not very familiar with this code, but I think
> you may be right here.
>
> So just removing the fill might be the right fix here.

At the very least I was wrong about the (fill-region (point-min)
(point-max)), so that has to go.  But I will modify the code locally to
check if squeezing white-space before the prompt is still necessary or
not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 27 Aug 2022 13:22:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 27 09:22:48 2022
Received: from localhost ([127.0.0.1]:55464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRvlv-0007bS-Pj
	for submit <at> debbugs.gnu.org; Sat, 27 Aug 2022 09:22:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oRvlt-0007bF-Eh
 for 57376 <at> debbugs.gnu.org; Sat, 27 Aug 2022 09:22:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vHdLrXINuaPWBmGnKzbZrC3JJBQHra7fUj5B1m9x19A=; b=QCq+xWxabSE2jJ7WPp/1wAZwFr
 Za0gHYBl3mPOuhKiNwYG7y4H1MqhoRP4J5QRjxyAtEu9EFNLHRq6sTQ+n7vVxVE1BbKFgngm6roxC
 ASv5ZRTftU8CaG+Lmzvod2axxFbhEoNh+gO8hxHQaVgePikg9ZRAh6/lSZCZt1nSnl48=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oRvlk-0002zK-OA; Sat, 27 Aug 2022 15:22:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
In-Reply-To: <875yiedrx6.fsf@HIDDEN> (Philip Kaludercic's message of "Sat, 
 27 Aug 2022 08:14:29 +0000")
References: <87y1vekpyl.fsf@HIDDEN> <875yihoofa.fsf@HIDDEN>
 <871qt4qquo.fsf@HIDDEN> <YwmYcRdgysNT2C5y@HIDDEN>
 <875yiedrx6.fsf@HIDDEN>
X-Now-Playing: Stereolab's _Switched On Vol. 4: Electrically Possessed (1)_:
 "Noumus Et Phusis"
Date: Sat, 27 Aug 2022 15:22:36 +0200
Message-ID: <87wnat95yb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Philip Kaludercic <philipk@HIDDEN> writes: > But I am
 not sure I understand what is going on here, since this "fills > the region"
 between the beginning of the prompt and either the end of > the prompt or
 the next (nonexistant?) message? So sh [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57376
Cc: "Trent W. Buck" <trentbuck@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Philip Kaludercic <philipk@HIDDEN> writes:

> But I am not sure I understand what is going on here, since this "fills
> the region" between the beginning of the prompt and either the end of
> the prompt or the next (nonexistant?) message?  So shouldn't this
> have -- prior to my change -- have done nothing, all the time?

Hm...  like I said, I'm not very familiar with this code, but I think
you may be right here.

So just removing the fill might be the right fix here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 27 Aug 2022 08:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 27 04:14:46 2022
Received: from localhost ([127.0.0.1]:55082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRqxp-0003gX-TO
	for submit <at> debbugs.gnu.org; Sat, 27 Aug 2022 04:14:46 -0400
Received: from mout01.posteo.de ([185.67.36.65]:39427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1oRqxo-0003gK-40
 for 57376 <at> debbugs.gnu.org; Sat, 27 Aug 2022 04:14:45 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4F36D240026
 for <57376 <at> debbugs.gnu.org>; Sat, 27 Aug 2022 10:14:35 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1661588078; bh=AGjBhYaNWxbZsXOLDrW6I6HAyjsY8WBQQf7XHpJcYQo=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=PH7o/8cBCvfv36LnMSMGILwh3BalpvWbXDBhTqRE/wRn155lJ1qnJztrpwJKuI+nA
 gX8Z121iIzlPg0jvQcSg1impqaWWqFX2v97sYGcIDkIFvUUAY7pPnd3s3uknji0Idq
 O9CowLX8gxFmgK5RkG6macSy4QFAyKIkSgV2KPwdD/dxHLpvT07nuwxJ/htcIdzY3L
 gc7HbSse8Lz/kB43xl0txL8vag2SItCvdFk5UH6efIfFIU+4Sb5ZKbRwHWtBAt+YDM
 T9xy/VQMk9w2S2hkygn3SELrc3EFfDASr8AZELPf3k565JdQDumW27kosKjrGZ7fpL
 ZTK1VbXWeBsKQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MF8cp5t54z6tmp;
 Sat, 27 Aug 2022 10:14:34 +0200 (CEST)
From: Philip Kaludercic <philipk@HIDDEN>
To: "Trent W. Buck" <trentbuck@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
In-Reply-To: <YwmYcRdgysNT2C5y@HIDDEN> (Trent W. Buck's message of "Sat, 27
 Aug 2022 14:10:01 +1000")
References: <87y1vekpyl.fsf@HIDDEN> <875yihoofa.fsf@HIDDEN>
 <871qt4qquo.fsf@HIDDEN> <YwmYcRdgysNT2C5y@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Sat, 27 Aug 2022 08:14:29 +0000
Message-ID: <875yiedrx6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57376
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Trent W. Buck" <trentbuck@HIDDEN> writes:

>
> Philip Kaludercic wrote:
>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>> 
>> >
>> > "Trent W. Buck" <trentbuck@HIDDEN> writes:
>> >
>> >> I just upgraded from 1:27.1+1-3.1 to 1:28.1+1-2~bpo11+1.2.
>> >> Now, even though (setq rcirc-fill-flag nil) in my .emacs,
>> >> I am getting hard wrapping.
>> >>
>> >> None of these (evaluated in-buffer with M-:) stopped new messages
>> >> being
>> >> hard-wrapped at 70 columns:
>> >>
>> >>    (setq rcirc-fill-flag nil)
>> >>    (auto-fill-mode -1)
>> >>    (defun rcirc-markup-fill (x y)) ; nop out this unwanted
>> >> function
>> >>    (defun rcirc-fill-paragraph (&optional x)) ; nop out this
>> >> unwanted function
>> >
>> > I haven't tested myself, but it seems like the code in this area
>> > was
>> > changed by:
>> >
>> > commit 849e71fd83fa8796198035464897bf2f28f6226c
>> > Author:     Philip Kaludercic <philipk@HIDDEN>
>> > AuthorDate: Wed Jun 9 17:55:55 2021 +0200
>> >
>> >     Implement server-time extension
>> >     
>> >     * rcirc.el (rcirc-implemented-capabilities): Add new capability
>> >     (rcirc-print): Insert messages in the right position
>> >     (rcirc-log): Use right time value
>> >     (rcirc-markup-timestamp): Use right time value
>> >
>> > In particular, this:
>> >
>> > - 	    ;; squeeze spaces out of text before rcirc-text
>> > -	    (fill-region fill-start
>> > - (1- (or (next-single-property-change fill-start
>> > - 'rcirc-text)
>> > -				 rcirc-prompt-end-marker)))
>> >
>> > was changed to this:
>> >
>> > +              ;; squeeze spaces out of text before rcirc-text
>> > +              (fill-region (point-min) (point-max))
>> >
>> > But I don't really know the code well.  Adding Philip to the CCs.
>> 
>> The code was reduced to (fill-region (point-min) (point-max)) because
>> the updated insertion algorithm narrows the buffer to the message,
>> that
>> doesn't have to be right before the prompt, as the entire point of
>> the
>> patch is that messages can be inserted anywhere, depending on
>> server-time tag.
>> 
>> As the comment indicates, the intention is to "squeeze
>> [white]spaces",
>> so a possible fix might be to use `canonically-space-region' instead
>> of
>> `fill-region'?
>
> FWIW, I don't want rcirc to change my whitespace either!

Come to think about it, I don't understand the idea bind it either.  I
looked through the git history, and it appears the change was added in
this commit:

        commit 2fbed782a0705d8b6e776926bb4eaa6b8801cfcb
        Author: Eli Zaretskii <eliz@HIDDEN>
        Date:   Fri Feb 17 11:19:00 2006 +0000

            (rcirc-connect): Make all arguments optional, and default to global variable
            values for unsupplied args.
            (rcirc-get-buffer-create): Fix bug with setting the target.
            (rcirc-any-buffer): Rename from rcirc-get-any-buffer, and include test for
            rcirc-always-use-server-buffer-flag here.
            (rcirc-response-formats): Add %N, which is a facified nick.  %n uses the
            default face.  Change the ACTION format string.  If the "nick" is the server,
            don't print anything for that field.  Comment fixes.
            (rcirc-target-buffer): Don't test rcirc-always-use-server-buffer-flag here.
 ~~~>       (rcirc-print): Squeeze extra spaces out of the text before message.
            (rcirc-put-nick-channel): Strip potential "@" char from nick before adding
            them to nick table.
            (rcirc-url-regexp): Improve to match address like "foo.com".


It appears to me that since `rcirc-fill-flag' will usually invoke
`fill-region' just a few lines later, it should be possible to just get
rid of the space-squeezing all together?

But it might also be that I made a mistake in the commit that Lars
mentioned previously.  It appears that in the removed code

--8<---------------cut here---------------start------------->8---
- 	    ;; squeeze spaces out of text before rcirc-text
-	    (fill-region fill-start
-			 (1- (or (next-single-property-change fill-start
-							      'rcirc-text)
-				 rcirc-prompt-end-marker)))
--8<---------------cut here---------------end--------------->8---

the variable `fill-start' was initially bound to

--8<---------------cut here---------------start------------->8---
 	(let ((moving (= (point) rcirc-prompt-end-marker))
-	      (old-point (point-marker))
-	      (fill-start (marker-position rcirc-prompt-start-marker)))
+	      (old-point (point-marker)))
--8<---------------cut here---------------end--------------->8---

But I am not sure I understand what is going on here, since this "fills
the region" between the beginning of the prompt and either the end of
the prompt or the next (nonexistant?) message?  So shouldn't this
have -- prior to my change -- have done nothing, all the time?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 27 Aug 2022 04:10:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 27 00:10:16 2022
Received: from localhost ([127.0.0.1]:54958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRn9E-0005sF-1J
	for submit <at> debbugs.gnu.org; Sat, 27 Aug 2022 00:10:16 -0400
Received: from mail-pj1-f51.google.com ([209.85.216.51]:39549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <trentbuck@HIDDEN>) id 1oRn9B-0005ru-3e
 for 57376 <at> debbugs.gnu.org; Sat, 27 Aug 2022 00:10:14 -0400
Received: by mail-pj1-f51.google.com with SMTP id
 i8-20020a17090a65c800b001fd602afda2so3398285pjs.4
 for <57376 <at> debbugs.gnu.org>; Fri, 26 Aug 2022 21:10:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=in-reply-to:content-transfer-encoding:content-disposition
 :mime-version:references:message-id:subject:cc:to:from:date:from:to
 :cc; bh=EzAtFM0qxi6DoicoQxvQStKi7/vWj6Zbm6tMf/pgMWQ=;
 b=jzAFUyg4CTBWcvuvVAgY/v0/DXDsmLYTWBcNfem3NCOchpwEjn7EmQImDW9ywpY5IS
 XGktd7KGTcfuRSi78capb8TMIo2ZkpTOv3DY60L2B3/F1FqRP7hYoHawJv2vwWp4jSxw
 3efMjL9ilN93EML+/iw20ZSo0yfrFC3Awh72NY7tIPmc9AU4C/+W0UhIAf84OqG2meQN
 WsDBKHc2BulnNWCjv1lkRv+wxudW/uTP895COHj/LTGKNmNbDpW1E8JCAAREDf7/rIV/
 U3yvOp5tRhTl3ITidqWeuAE/w1EQTs1SrpoUdqgQ1ri5VDpARmiV9b2HiZK8K7fXu7mN
 8LtA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=in-reply-to:content-transfer-encoding:content-disposition
 :mime-version:references:message-id:subject:cc:to:from:date
 :x-gm-message-state:from:to:cc;
 bh=EzAtFM0qxi6DoicoQxvQStKi7/vWj6Zbm6tMf/pgMWQ=;
 b=Gn/xJgsiNFQKrjt2l7itUkdiA5DtaSRfLD4N7LAv1QBa8TbaHvIeWAI9m38pZsVGsD
 7C94jrC5jJjhsTEwBA3Wbg+RYf0YkonZsb+M1fOqQF8OOOakgeBWJkA7Y5SvWfUkHR7a
 ADbkFJtyLb1jsmFXlHlLbDuk8dRdPZm3lOlJXdOLDEfF5GsrKKZ+VfFxrUTHmNp9qHK5
 llvRhp+TSA5B1kczA9OGDACtBPSOUo3ozH/bce4f4Ul3E4SqxLbMUMsng0BnM5C3wZ6B
 dSzJ0u+xVdBanFtyKdEb9J5ZykMKtsL7ItE77G0ElQQBKCHzfk5d5U8CMnQ2Q8fEXewZ
 LLnA==
X-Gm-Message-State: ACgBeo2SvTNhZ3vux1XfFWmq0BGLANV5VjGnuXVvNkhdNItVWWLwXC56
 Ez0zQuVnpzb1yWgiPvApWNrzQP5prN0=
X-Google-Smtp-Source: AA6agR5byPky3QiUtfXfbNT/Wn9nFu8NNpxSF0bXBC7T/2YZIkB3WUODkFkhw4TZ/YaquvbteXl1Yw==
X-Received: by 2002:a17:903:248b:b0:172:a790:3206 with SMTP id
 p11-20020a170903248b00b00172a7903206mr6562771plw.139.1661573406961; 
 Fri, 26 Aug 2022 21:10:06 -0700 (PDT)
Received: from localhost (159-196-230-25.9fc4e6.mel.nbn.aussiebb.net.
 [159.196.230.25]) by smtp.gmail.com with ESMTPSA id
 v186-20020a6261c3000000b00535ebc6cd4bsm2539170pfb.218.2022.08.26.21.10.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 26 Aug 2022 21:10:06 -0700 (PDT)
Date: Sat, 27 Aug 2022 14:10:01 +1000
From: "Trent W. Buck" <trentbuck@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
Message-ID: <YwmYcRdgysNT2C5y@HIDDEN>
References: <87y1vekpyl.fsf@HIDDEN> <875yihoofa.fsf@HIDDEN>
 <871qt4qquo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <871qt4qquo.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57376
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philip Kaludercic wrote:
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> >
> > "Trent W. Buck" <trentbuck@HIDDEN> writes:
> >
> >> I just upgraded from 1:27.1+1-3.1 to 1:28.1+1-2~bpo11+1.2.
> >> Now, even though (setq rcirc-fill-flag nil) in my .emacs,
> >> I am getting hard wrapping.
> >>
> >> None of these (evaluated in-buffer with M-:) stopped new messages being
> >> hard-wrapped at 70 columns:
> >>
> >>    (setq rcirc-fill-flag nil)
> >>    (auto-fill-mode -1)
> >>    (defun rcirc-markup-fill (x y))  ; nop out this unwanted function
> >>    (defun rcirc-fill-paragraph (&optional x))  ; nop out this unwanted function
> >
> > I haven't tested myself, but it seems like the code in this area was
> > changed by:
> >
> > commit 849e71fd83fa8796198035464897bf2f28f6226c
> > Author:     Philip Kaludercic <philipk@HIDDEN>
> > AuthorDate: Wed Jun 9 17:55:55 2021 +0200
> >
> >     Implement server-time extension
> >     
> >     * rcirc.el (rcirc-implemented-capabilities): Add new capability
> >     (rcirc-print): Insert messages in the right position
> >     (rcirc-log): Use right time value
> >     (rcirc-markup-timestamp): Use right time value
> >
> > In particular, this:
> >
> > - 	    ;; squeeze spaces out of text before rcirc-text
> > -	    (fill-region fill-start
> > -			 (1- (or (next-single-property-change fill-start
> > -							      'rcirc-text)
> > -				 rcirc-prompt-end-marker)))
> >
> > was changed to this:
> >
> > +              ;; squeeze spaces out of text before rcirc-text
> > +              (fill-region (point-min) (point-max))
> >
> > But I don't really know the code well.  Adding Philip to the CCs.
> 
> The code was reduced to (fill-region (point-min) (point-max)) because
> the updated insertion algorithm narrows the buffer to the message, that
> doesn't have to be right before the prompt, as the entire point of the
> patch is that messages can be inserted anywhere, depending on
> server-time tag.
> 
> As the comment indicates, the intention is to "squeeze [white]spaces",
> so a possible fix might be to use `canonically-space-region' instead of
> `fill-region'?

FWIW, I don't want rcirc to change my whitespace either!

> Trent:  Could to try to apply this change and see if rcirc behaves the
> way you would prefer it to?


I initially tried commenting that call out entirely.


    (with-eval-after-load "rcirc"
      (defun rcirc-print (process sender response target text &optional activity)
        ⋮
        ;; squeeze spaces out of text before rcirc-text
        ;;(fill-region (point-min) (point-max))
        ⋮
        ))

Then in an already-open irc connection, I joined a new channel #twb-irc-test and then typed this:

    13:52 *** twb JOIN 
    13:52 ***  MODE +Cnst
    13:52 ***  NAMES @twb
    > This is a long line blah blah blah blah blah blah blah blah blah blah blah blah blah.  Here are five spaces in a row "    ".  rcirc should not change my input AT ALL.  It is very annoying to have my words changed.  It is especially annoying to have them changed DIFFERENTLY for what other people hear, versus what I hear myself saying!

When I pressed RET, this is what happened:

    13:52 *** twb JOIN 
    13:52 ***  MODE +Cnst
    13:52 ***  NAMES @twb
    13:56 <twb> This is a long line blah blah blah blah blah blah blah blah blah blah blah blah blah.  Here are five spaces in a row "    ".  rcirc should not change my input AT ALL.  It is very annoying to have my words changed.  It is especially annoying to have them changed DIFFERENTLY for what other people hear, versus what I hear myself saying!

So, this is DEFINITELY the problem call.
Thanks for narrowing it down, I was tearing my hair out!

Now let me try it again with your suggested edit (fill-region -> canonically-space-region).

In the existing buffer, I hit M-p RET.

That has broken my input.  It is not wrapped, but it has changed my whitespace to be wrong.

    13:56 <twb> This is a long line blah blah blah blah blah blah blah blah blah blah blah blah blah.  Here are five spaces in a row "    ".  rcirc should not change my input AT ALL.  It is very annoying to have my words changed.  It is especially annoying to have them changed DIFFERENTLY for what other people hear, versus what I hear myself saying!
    13:57 <twb> This is a long line blah blah blah blah blah blah blah blah blah blah blah blah blah.  Here are five spaces in a row " ".  rcirc should not change my input AT ALL.  It is very annoying to have my words changed.  It is especially annoying to have them changed DIFFERENTLY for what other people hear, versus what I hear myself saying!

This is far less noticable, but
is definitely annoying and wrong if I paste a table into a #flood channel.

For example, with neither fill-region nor canonically-space-region,

    13:59 <twb> RECSIZE  COMPRESS        RATIO  REFQUOTA  QUOTA   USED  USEDDS  USEDSNAP     REFER  NAME
    13:59 <twb>      1M  zstd            5.83x        8G    64G  4.69G    277M      951M      277M  heavy/heavy/var/log
    13:59 <twb>    128K  zstd            3.22x        4G    16G  2.97G   1.14G     1.83G     1.14G  heavy/omega/var/log

With canonically-space-region,

    13:59 <twb> RECSIZE COMPRESS RATIO REFQUOTA QUOTA USED USEDDS USEDSNAP REFER NAME
    13:59 <twb> 1M zstd 5.83x 8G 64G 4.69G 277M 951M 277M heavy/heavy/var/log
    13:59 <twb> 128K zstd 3.22x 4G 16G 2.97G 1.14G 1.83G 1.14G heavy/omega/var/log

With fill-region (current emacs-28 behaviour),

    14:00 <twb> RECSIZE COMPRESS RATIO REFQUOTA QUOTA USED USEDDS USEDSNAP REFER
    NAME
    14:00 <twb> 1M zstd 5.83x 8G 64G 4.69G 277M 951M 277M heavy/heavy/var/log
    14:00 <twb> 128K zstd 3.22x 4G 16G 2.97G 1.14G 1.83G 1.14G
    heavy/omega/var/log


I don't understand why anyone would EVER want this, but
I think I will be happy if the fill-region/canonically-space-region
is just wrapped in (when rcirc-fill-flag #).
That will let me easily opt-out, without affecting anyone else.

Is that sensible?


PS: quite often I'll go up to an earlier line I've said, and
    either hit RET (rcirc-send-input) to re-send it as-is, or
    M-p M-p M-p M-p RET, or
    copy-paste-edit it in the > prompt.

    I *think* this fill-region is screwing me up badly in that workflow,
    because it ends up re-sending one IRC message for each filled line,
    rather than one IRC message per original input line.

    I haven't tested that extensively, so it might be a red herring.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 25 Aug 2022 15:34:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 25 11:34:52 2022
Received: from localhost ([127.0.0.1]:51085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oREse-0001W4-DE
	for submit <at> debbugs.gnu.org; Thu, 25 Aug 2022 11:34:52 -0400
Received: from mout02.posteo.de ([185.67.36.66]:60135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1oREsb-0001Vp-Ki
 for 57376 <at> debbugs.gnu.org; Thu, 25 Aug 2022 11:34:51 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 754C9240103
 for <57376 <at> debbugs.gnu.org>; Thu, 25 Aug 2022 17:34:40 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1661441683; bh=d+5U52S1MgzbslmIStHhOY8DGDWx1vNtG6VpXw1AfkQ=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=AYwOP2HLCI7D5agBf3dyVQPtLI0Rgdw/K/ZsadoLYe7IKPVNVJuRmEUMicQw24r2I
 WlWvwAdSVOT4TCPLu5Ui6A90G5+57Z5CIE3Lc5rbortUhW34XM5uboCTkNdtSSjU+b
 iJZjAvrRjnzmqzItnysrRPTZzP4D0mF+R5aWRNmAkg+MeALpkPGGMEbfPzQWEF+HsF
 y+wofkGILDDZemjgfEaBTcxt78fo7TjLHAJcdlAg9Lylr6yTxkQyvDXcwu6iOfSGdD
 H3w0T4rWakXJtMNFCGg9zsAp416h3lfNtK4JyPkHO14EvA82r0EbnJep8EvgzUAY7C
 /hRawRJw2+zEQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MD6TW6Y1Lz9rxS;
 Thu, 25 Aug 2022 17:34:39 +0200 (CEST)
From: Philip Kaludercic <philipk@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
In-Reply-To: <875yihoofa.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 24 Aug 2022 13:45:29 +0200")
References: <87y1vekpyl.fsf@HIDDEN> <875yihoofa.fsf@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Thu, 25 Aug 2022 15:34:39 +0000
Message-ID: <871qt4qquo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57376
Cc: "Trent W. Buck" <trentbuck@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>
> "Trent W. Buck" <trentbuck@HIDDEN> writes:
>
>> I just upgraded from 1:27.1+1-3.1 to 1:28.1+1-2~bpo11+1.2.
>> Now, even though (setq rcirc-fill-flag nil) in my .emacs,
>> I am getting hard wrapping.
>>
>> None of these (evaluated in-buffer with M-:) stopped new messages being
>> hard-wrapped at 70 columns:
>>
>>    (setq rcirc-fill-flag nil)
>>    (auto-fill-mode -1)
>>    (defun rcirc-markup-fill (x y))  ; nop out this unwanted function
>>    (defun rcirc-fill-paragraph (&optional x))  ; nop out this unwanted function
>
> I haven't tested myself, but it seems like the code in this area was
> changed by:
>
> commit 849e71fd83fa8796198035464897bf2f28f6226c
> Author:     Philip Kaludercic <philipk@HIDDEN>
> AuthorDate: Wed Jun 9 17:55:55 2021 +0200
>
>     Implement server-time extension
>     
>     * rcirc.el (rcirc-implemented-capabilities): Add new capability
>     (rcirc-print): Insert messages in the right position
>     (rcirc-log): Use right time value
>     (rcirc-markup-timestamp): Use right time value
>
> In particular, this:
>
> - 	    ;; squeeze spaces out of text before rcirc-text
> -	    (fill-region fill-start
> -			 (1- (or (next-single-property-change fill-start
> -							      'rcirc-text)
> -				 rcirc-prompt-end-marker)))
>
> was changed to this:
>
> +              ;; squeeze spaces out of text before rcirc-text
> +              (fill-region (point-min) (point-max))
>
> But I don't really know the code well.  Adding Philip to the CCs.

The code was reduced to (fill-region (point-min) (point-max)) because
the updated insertion algorithm narrows the buffer to the message, that
doesn't have to be right before the prompt, as the entire point of the
patch is that messages can be inserted anywhere, depending on
server-time tag.

As the comment indicates, the intention is to "squeeze [white]spaces",
so a possible fix might be to use `canonically-space-region' instead of
`fill-region'?

Trent:  Could to try to apply this change and see if rcirc behaves the
way you would prefer it to?


--=-=-=
Content-Type: text/plain
Content-Disposition: inline

diff --git a/lisp/net/rcirc.el b/lisp/net/rcirc.el
index 065398b64a..c9ba9e8364 100644
--- a/lisp/net/rcirc.el
+++ b/lisp/net/rcirc.el
@@ -1995,7 +1995,7 @@ rcirc-print
 		      (propertize "\n" 'hard t))
 
               ;; squeeze spaces out of text before rcirc-text
-              (fill-region (point-min) (point-max))
+              (canonically-space-region (point-min) (point-max))
 
               (goto-char (or (next-single-property-change (point-min) 'rcirc-text)
 			       (point)))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.

Message received at 57376 <at> debbugs.gnu.org:


Received: (at 57376) by debbugs.gnu.org; 24 Aug 2022 11:45:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 24 07:45:42 2022
Received: from localhost ([127.0.0.1]:45824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oQopK-0004Fy-1J
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2022 07:45:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oQopG-0003rn-QY
 for 57376 <at> debbugs.gnu.org; Wed, 24 Aug 2022 07:45:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=P5LoWrk+cVbunbovAM+5Dg9Qg16akWiLGdi61+73QZY=; b=NJ3/o3DtJz56t3EFMvWigYulOe
 0z3xDTUUgP6Ij1Jm+d3NoeRBy6dlKYMxTe1h4cT3T6xMrsKzKev2Ju7Vltq7VnVDVx81ZfJpNFcZJ
 UY7OhvvqCRLZZk69cNYrY7ndRY86iZttX79ilaZX6APWZ7e2/aHQmFUFw7KPND/Si5Xs=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oQop7-0004yQ-Lx; Wed, 24 Aug 2022 13:45:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Trent W. Buck" <trentbuck@HIDDEN>
Subject: Re: bug#57376: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
In-Reply-To: <87y1vekpyl.fsf@HIDDEN> (Trent W. Buck's message of "Wed, 24
 Aug 2022 18:25:54 +1000")
References: <87y1vekpyl.fsf@HIDDEN>
X-Now-Playing: Loma's _Don't Shy Away_: "Homing"
Date: Wed, 24 Aug 2022 13:45:29 +0200
Message-ID: <875yihoofa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Trent W. Buck" <trentbuck@HIDDEN> writes: > I just
 upgraded from 1:27.1+1-3.1 to 1:28.1+1-2~bpo11+1.2. > Now,
 even though (setq rcirc-fill-flag
 nil) in my .emacs, > I am getting hard wrapping. > > None of these (evaluated
 in-buffer with M-:) [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57376
Cc: Philip Kaludercic <philipk@HIDDEN>, 57376 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Trent W. Buck" <trentbuck@HIDDEN> writes:

> I just upgraded from 1:27.1+1-3.1 to 1:28.1+1-2~bpo11+1.2.
> Now, even though (setq rcirc-fill-flag nil) in my .emacs,
> I am getting hard wrapping.
>
> None of these (evaluated in-buffer with M-:) stopped new messages being
> hard-wrapped at 70 columns:
>
>    (setq rcirc-fill-flag nil)
>    (auto-fill-mode -1)
>    (defun rcirc-markup-fill (x y))  ; nop out this unwanted function
>    (defun rcirc-fill-paragraph (&optional x))  ; nop out this unwanted function

I haven't tested myself, but it seems like the code in this area was
changed by:

commit 849e71fd83fa8796198035464897bf2f28f6226c
Author:     Philip Kaludercic <philipk@HIDDEN>
AuthorDate: Wed Jun 9 17:55:55 2021 +0200

    Implement server-time extension
    
    * rcirc.el (rcirc-implemented-capabilities): Add new capability
    (rcirc-print): Insert messages in the right position
    (rcirc-log): Use right time value
    (rcirc-markup-timestamp): Use right time value

In particular, this:

- 	    ;; squeeze spaces out of text before rcirc-text
-	    (fill-region fill-start
-			 (1- (or (next-single-property-change fill-start
-							      'rcirc-text)
-				 rcirc-prompt-end-marker)))

was changed to this:

+              ;; squeeze spaces out of text before rcirc-text
+              (fill-region (point-min) (point-max))

But I don't really know the code well.  Adding Philip to the CCs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Aug 2022 08:26:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 24 04:26:22 2022
Received: from localhost ([127.0.0.1]:45605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oQliN-00036u-63
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2022 04:26:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:48510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <trentbuck@HIDDEN>) id 1oQliI-00036k-RI
 for submit <at> debbugs.gnu.org; Wed, 24 Aug 2022 04:26:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32992)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <trentbuck@HIDDEN>)
 id 1oQliI-0000VO-9a
 for bug-gnu-emacs@HIDDEN; Wed, 24 Aug 2022 04:26:14 -0400
Received: from mail-pj1-x1032.google.com ([2607:f8b0:4864:20::1032]:53973)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <trentbuck@HIDDEN>)
 id 1oQliA-00073D-BQ
 for bug-gnu-emacs@HIDDEN; Wed, 24 Aug 2022 04:26:14 -0400
Received: by mail-pj1-x1032.google.com with SMTP id m15so8302068pjj.3
 for <bug-gnu-emacs@HIDDEN>; Wed, 24 Aug 2022 01:26:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:subject:to:from:from:to:cc;
 bh=5fxSCmTqpzc04DEMqncE3BdAsi+E7lmACGFGOrAF3NM=;
 b=ddDn33sCL10605sYQLCAK8LboUqtJqFkJ6RmC/ve8aXpaE8xZOJ2012SiDFHvDcnfH
 zRp0vGokB5O9URSN+PyZcyO4PI+CFB4uYr2l3awzF6oEbwR+kkOiZg9Xkyto4nDJYfl9
 YKG0FfE+5tfBrWzVgK8dIay8VBCSb4/8TKF3BO5ZGxWSgxay2tlemX38vH4/6JKohi6r
 xaQD6nHTh3Px+AOBjaVsTyjI+dkGoO9PDVTEfmr8lACZ3HXiwwNU/ufN10JPKEJd37uz
 rBPvHQ+6+oOplBtkwLh6phPx+nrvByOZMM/9lVJF55bGCcNWW0J8jKQbPkJmXaC2F3v7
 7Hxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:subject:to:from:x-gm-message-state
 :from:to:cc;
 bh=5fxSCmTqpzc04DEMqncE3BdAsi+E7lmACGFGOrAF3NM=;
 b=0sYhQus47ym4XTU06nf5267XrXS3cZH4mEEkbvwFS1AB6dBmOFrL2QyjDo+Ol5ugu4
 tfTKwdlZrtPKOvB8CltE2mfEtH0JQ9KVHnxkcrLQEXCX7ek+ZV6JvaKDmWVRqk72oiaw
 5FM6TE5HV3WgbohLE8mscYJceRNjJpwMdEUEwyUH0Zr16W36df8Rspui0BbNnjNt4072
 F782WII0yukjDoiGXDLRlyk9AwSWYoxn/4rOwnGJ3iUIyhTugxtK85MOLcOF9MGEWhYJ
 qfWJUcUMhxVnK4osKDrQyEt9SUtsxYrmbn/SdrAE2dRugY+sy5esy2/XPva6Z6/PkaLD
 445Q==
X-Gm-Message-State: ACgBeo2tVddeBVVFpwYcv/NqyGp67df5GIsAK1nicjrAfiqzsqzg60HT
 mNTo/u1e1qOWJlSxRKKKbbGGWQAZdP4=
X-Google-Smtp-Source: AA6agR5ZdQwhPiK/4AYauKu0VthoitcTr7JHNwaOTWRLP76DDPGfPOhzgd8DOKDZjspuPY74ymtFqg==
X-Received: by 2002:a17:902:ecc6:b0:172:cc88:18df with SMTP id
 a6-20020a170902ecc600b00172cc8818dfmr20383607plh.167.1661329561775; 
 Wed, 24 Aug 2022 01:26:01 -0700 (PDT)
Received: from localhost (159-196-230-25.9fc4e6.mel.nbn.aussiebb.net.
 [159.196.230.25]) by smtp.gmail.com with ESMTPSA id
 g29-20020aa796bd000000b00535e46171c1sm11535209pfk.117.2022.08.24.01.25.59
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 24 Aug 2022 01:26:00 -0700 (PDT)
From: "Trent W. Buck" <trentbuck@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.1; rcirc-fill-flag ignored after 27->28 upgrade
Date: Wed, 24 Aug 2022 18:25:54 +1000
Message-ID: <87y1vekpyl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::1032;
 envelope-from=trentbuck@HIDDEN; helo=mail-pj1-x1032.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I want rcirc to use one line per IRC message.
This way if I change the window width, the messages will still fill the screen.

I just upgraded from 1:27.1+1-3.1 to 1:28.1+1-2~bpo11+1.2.
Now, even though (setq rcirc-fill-flag nil) in my .emacs,
I am getting hard wrapping.

None of these (evaluated in-buffer with M-:) stopped new messages being
hard-wrapped at 70 columns:

   (setq rcirc-fill-flag nil)
   (auto-fill-mode -1)
   (defun rcirc-markup-fill (x y))  ; nop out this unwanted function
   (defun rcirc-fill-paragraph (&optional x))  ; nop out this unwanted function

Setting fill-column DID work:

    M-111111111 C-x f

...but why doesn't rcirc-fill-flag just work?
I don't want to have to teach rcirc to set fill-column to max-int every time it creates a new buffer.


I looked in the NEWS and in the git history for rcirc.el, and I can't see this code changing since 2007 or 2014.
So I have no idea how this regression has been introduced.


In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2022-08-24, modified by Debian built on hera
Repository revision: d23e4226f712f01bfd3c5eb50a136c3f055d486e
Repository branch: twb
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/libexec
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/28.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/28.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils
 --with-native-compilation --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/libexec
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/28.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/28.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils
 --with-native-compilation --with-cairo --with-x=yes
 --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -ffile-prefix-map=/X/emacs-28bpo11=. -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_AU.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: rcirc

Minor modes in effect:
  windmove-mode: t
  rcirc-track-minor-mode: t
  rcirc-omit-mode: t
  global-hl-todo-mode: t
  ido-everywhere: t
  savehist-mode: t
  icomplete-mode: t
  delete-selection-mode: t
  save-place-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa/nov-0.3.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/apache-mode-2.2.0/apache-mode hides /usr/share/emacs/site-lisp/elpa-src/apache-mode-2.2.0/apache-mode
/usr/share/emacs/site-lisp/elpa/apache-mode-2.2.0/apache-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/apache-mode-2.2.0/apache-mode-pkg
/usr/share/emacs/site-lisp/elpa/apache-mode-2.2.0/apache-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/apache-mode-2.2.0/apache-mode-autoloads
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async-autoloads hides /usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async-autoloads
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async-bytecomp hides /usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async-bytecomp
/usr/share/emacs/site-lisp/elpa/async-1.9.3/dired-async hides /usr/share/emacs/site-lisp/elpa-src/async-1.9.3/dired-async
/usr/share/emacs/site-lisp/elpa/async-1.9.3/smtpmail-async hides /usr/share/emacs/site-lisp/elpa-src/async-1.9.3/smtpmail-async
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async-pkg hides /usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async-pkg
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async hides /usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async
/usr/share/emacs/site-lisp/elpa/bar-cursor-2.0/bar-cursor-pkg hides /usr/share/emacs/site-lisp/elpa-src/bar-cursor-2.0/bar-cursor-pkg
/usr/share/emacs/site-lisp/elpa/bar-cursor-2.0/bar-cursor-autoloads hides /usr/share/emacs/site-lisp/elpa-src/bar-cursor-2.0/bar-cursor-autoloads
/usr/share/emacs/site-lisp/elpa/bar-cursor-2.0/bar-cursor hides /usr/share/emacs/site-lisp/elpa-src/bar-cursor-2.0/bar-cursor
/usr/share/emacs/site-lisp/elpa/bm-201905/bm-sync hides /usr/share/emacs/site-lisp/elpa-src/bm-201905/bm-sync
/usr/share/emacs/site-lisp/elpa/bm-201905/bm-pkg hides /usr/share/emacs/site-lisp/elpa-src/bm-201905/bm-pkg
/usr/share/emacs/site-lisp/elpa/bm-201905/bm hides /usr/share/emacs/site-lisp/elpa-src/bm-201905/bm
/usr/share/emacs/site-lisp/elpa/bm-201905/bm-autoloads hides /usr/share/emacs/site-lisp/elpa-src/bm-201905/bm-autoloads
/usr/share/emacs/site-lisp/elpa/boxquote-2.2/boxquote-pkg hides /usr/share/emacs/site-lisp/elpa-src/boxquote-2.2/boxquote-pkg
/usr/share/emacs/site-lisp/elpa/boxquote-2.2/boxquote hides /usr/share/emacs/site-lisp/elpa-src/boxquote-2.2/boxquote
/usr/share/emacs/site-lisp/elpa/boxquote-2.2/boxquote-autoloads hides /usr/share/emacs/site-lisp/elpa-src/boxquote-2.2/boxquote-autoloads
/usr/share/emacs/site-lisp/elpa/browse-kill-ring-2.0.0/browse-kill-ring-autoloads hides /usr/share/emacs/site-lisp/elpa-src/browse-kill-ring-2.0.0/browse-kill-ring-autoloads
/usr/share/emacs/site-lisp/elpa/browse-kill-ring-2.0.0/browse-kill-ring hides /usr/share/emacs/site-lisp/elpa-src/browse-kill-ring-2.0.0/browse-kill-ring
/usr/share/emacs/site-lisp/elpa/browse-kill-ring-2.0.0/browse-kill-ring-pkg hides /usr/share/emacs/site-lisp/elpa-src/browse-kill-ring-2.0.0/browse-kill-ring-pkg
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/pok-wob-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/pok-wob-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/deep-blue-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/deep-blue-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/kingsajz-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/kingsajz-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/charcoal-black-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/charcoal-black-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/subdued-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/subdued-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-gnus-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-gnus-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-mood-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-mood-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/xemacs-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/xemacs-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/ramangalahy-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/ramangalahy-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/julie-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/julie-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/andreas-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/andreas-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/goldenrod-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/goldenrod-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/subtle-blue-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/subtle-blue-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/subtle-hacker-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/subtle-hacker-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/hober-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/hober-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/late-night-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/late-night-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-green-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-green-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/clarity-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/clarity-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/emacs-21-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/emacs-21-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/desert-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/desert-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/greiner-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/greiner-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/comidia-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/comidia-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/pierson-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/pierson-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-font-lock-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-font-lock-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gnome-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gnome-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/simple-1-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/simple-1-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jsc-dark-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jsc-dark-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gnome2-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gnome2-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/cobalt-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/cobalt-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/snow-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/snow-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/parus-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/parus-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/midnight-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/midnight-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/robin-hood-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/robin-hood-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/vim-colors-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/vim-colors-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/calm-forest-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/calm-forest-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/oswald-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/oswald-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/sitaramv-solaris-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/sitaramv-solaris-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/ld-dark-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/ld-dark-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/color-theme-modern-pkg hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/color-theme-modern-pkg
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/renegade-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/renegade-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/whateveryouwant-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/whateveryouwant-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/beige-diff-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/beige-diff-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/beige-eshell-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/beige-eshell-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/wheat-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/wheat-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/high-contrast-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/high-contrast-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/aalto-dark-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/aalto-dark-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jonadabian-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jonadabian-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/mistyday-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/mistyday-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/color-theme-modern hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/color-theme-modern
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-blue2-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-blue2-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/billw-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/billw-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/pok-wog-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/pok-wog-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/color-theme-modern-autoloads hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/color-theme-modern-autoloads
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/snowish-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/snowish-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-erc-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-erc-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/montz-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/montz-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/sitaramv-nt-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/sitaramv-nt-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/taming-mr-arneson-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/taming-mr-arneson-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/euphoria-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/euphoria-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/black-on-gray-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/black-on-gray-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/fischmeister-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/fischmeister-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/katester-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/katester-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/railscast-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/railscast-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/standard-ediff-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/standard-ediff-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jonadabian-slate-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jonadabian-slate-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/shaman-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/shaman-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/bharadwaj-slate-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/bharadwaj-slate-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jb-simple-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jb-simple-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/marine-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/marine-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gray30-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gray30-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/arjen-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/arjen-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gtk-ide-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gtk-ide-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jsc-light2-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jsc-light2-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blippblopp-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blippblopp-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/emacs-nw-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/emacs-nw-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/lethe-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/lethe-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/tty-dark-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/tty-dark-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/resolve-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/resolve-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/word-perfect-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/word-perfect-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/marquardt-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/marquardt-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/classic-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/classic-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/xp-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/xp-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/raspopovic-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/raspopovic-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-gnus-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-gnus-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/lawrence-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/lawrence-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/infodoc-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/infodoc-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-laptop-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-laptop-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/standard-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/standard-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/ryerson-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/ryerson-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/salmon-diff-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/salmon-diff-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/retro-green-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/retro-green-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jsc-light-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jsc-light-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-erc-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-erc-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-blue-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-blue-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-sea-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-sea-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/digital-ofs1-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/digital-ofs1-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/matrix-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/matrix-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/jedit-grey-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/jedit-grey-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/taylor-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/taylor-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/aliceblue-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/aliceblue-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/gray1-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/gray1-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/rotor-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/rotor-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/salmon-font-lock-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/salmon-font-lock-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/aalto-light-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/aalto-light-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/bharadwaj-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/bharadwaj-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/dark-info-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/dark-info-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/feng-shui-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/feng-shui-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/blue-eshell-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/blue-eshell-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/scintilla-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/scintilla-theme
/usr/share/emacs/site-lisp/elpa/color-theme-modern-0.0.2/retro-orange-theme hides /usr/share/emacs/site-lisp/elpa-src/color-theme-modern-0.0.2/retro-orange-theme
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-tng hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-tng
/usr/share/emacs/site-lisp/elpa/company-0.9.13/async-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/async-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/cmake-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/cmake-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-semantic hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-semantic
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-yasnippet hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-yasnippet
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-clang hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-clang
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-elisp hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-elisp
/usr/share/emacs/site-lisp/elpa/company-0.9.13/core-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/core-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-template hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-template
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-dabbrev-code hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-dabbrev-code
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-bbdb hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-bbdb
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-gtags hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-gtags
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-ispell hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-ispell
/usr/share/emacs/site-lisp/elpa/company-0.9.13/keywords-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/keywords-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/clang-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/clang-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-keywords hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-keywords
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-nxml hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-nxml
/usr/share/emacs/site-lisp/elpa/company-0.9.13/elisp-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/elisp-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-oddmuse hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-oddmuse
/usr/share/emacs/site-lisp/elpa/company-0.9.13/template-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/template-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-etags hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-etags
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-cmake hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-cmake
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-abbrev hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-abbrev
/usr/share/emacs/site-lisp/elpa/company-0.9.13/transformers-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/transformers-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-css hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-css
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-eclim hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-eclim
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-xcode hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-xcode
/usr/share/emacs/site-lisp/elpa/company-0.9.13/bbdb-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/bbdb-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-pkg hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-pkg
/usr/share/emacs/site-lisp/elpa/company-0.9.13/capf-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/capf-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/all hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/all
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-files hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-files
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company
/usr/share/emacs/site-lisp/elpa/company-0.9.13/frontends-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/frontends-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-dabbrev hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-dabbrev
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-autoloads hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-autoloads
/usr/share/emacs/site-lisp/elpa/company-0.9.13/files-tests hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/files-tests
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-tempo hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-tempo
/usr/share/emacs/site-lisp/elpa/company-0.9.13/company-capf hides /usr/share/emacs/site-lisp/elpa-src/company-0.9.13/company-capf
/usr/share/emacs/site-lisp/elpa/csv-mode-1.12/csv-mode-tests hides /usr/share/emacs/site-lisp/elpa-src/csv-mode-1.12/csv-mode-tests
/usr/share/emacs/site-lisp/elpa/csv-mode-1.12/csv-mode hides /usr/share/emacs/site-lisp/elpa-src/csv-mode-1.12/csv-mode
/usr/share/emacs/site-lisp/elpa/csv-mode-1.12/csv-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/csv-mode-1.12/csv-mode-autoloads
/usr/share/emacs/site-lisp/elpa/csv-mode-1.12/csv-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/csv-mode-1.12/csv-mode-pkg
/usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash-pkg hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash-pkg
/usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash-autoloads
/usr/share/emacs/site-lisp/elpa/dash-2.17.0/dash hides /usr/share/emacs/site-lisp/elpa-src/dash-2.17.0/dash
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/deb-view hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/deb-view
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-pkg hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-pkg
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-bug hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-bug
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-utils hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/apt-utils
/usr/share/emacs/site-lisp/elpa/debian-el-37/apt-sources hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/apt-sources
/usr/share/emacs/site-lisp/elpa/debian-el-37/gnus-BTS hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/gnus-BTS
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-el-autoloads hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/debian-el-autoloads
/usr/share/emacs/site-lisp/elpa/debian-el-37/preseed hides /usr/share/emacs/site-lisp/elpa-src/debian-el-37/preseed
/usr/share/emacs/site-lisp/elpa/diminish-0.45/diminish-autoloads hides /usr/share/emacs/site-lisp/elpa-src/diminish-0.45/diminish-autoloads
/usr/share/emacs/site-lisp/elpa/diminish-0.45/diminish hides /usr/share/emacs/site-lisp/elpa-src/diminish-0.45/diminish
/usr/share/emacs/site-lisp/elpa/diminish-0.45/diminish-pkg hides /usr/share/emacs/site-lisp/elpa-src/diminish-0.45/diminish-pkg
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-control-mode hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-control-mode
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-pkg hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-pkg
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-changelog-mode hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-changelog-mode
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-copyright hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-copyright
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/debian-bts-control hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-bts-control
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/readme-debian hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/readme-debian
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el-autoloads hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el-autoloads
/usr/share/emacs/site-lisp/elpa/dpkg-dev-el-37.0/dpkg-dev-el hides /usr/share/emacs/site-lisp/elpa-src/dpkg-dev-el-37.0/dpkg-dev-el
/usr/share/emacs/site-lisp/elpa/epl-0.9/epl-pkg hides /usr/share/emacs/site-lisp/elpa-src/epl-0.9/epl-pkg
/usr/share/emacs/site-lisp/elpa/epl-0.9/epl hides /usr/share/emacs/site-lisp/elpa-src/epl-0.9/epl
/usr/share/emacs/site-lisp/elpa/epl-0.9/epl-autoloads hides /usr/share/emacs/site-lisp/elpa-src/epl-0.9/epl-autoloads
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-php-composer hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-php-composer
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-perl hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-perl
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-javascript-npm hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-javascript-npm
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-python hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-python
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-tests hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-tests
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-arduino hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-arduino
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-ruby-on-rails hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-ruby-on-rails
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-javascript-grunt hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-javascript-grunt
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-extras hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-extras
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-javascript-bower hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-javascript-bower
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-autoloads hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-autoloads
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-android hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-android
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-ruby hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-ruby
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-clojure-leiningen hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-clojure-leiningen
/usr/share/emacs/site-lisp/elpa/eproject-1.5/eproject-pkg hides /usr/share/emacs/site-lisp/elpa-src/eproject-1.5/eproject-pkg
/usr/share/emacs/site-lisp/elpa/esxml-0.3.5/esxml-pkg hides /usr/share/emacs/site-lisp/elpa-src/esxml-0.3.5/esxml-pkg
/usr/share/emacs/site-lisp/elpa/esxml-0.3.5/esxml-autoloads hides /usr/share/emacs/site-lisp/elpa-src/esxml-0.3.5/esxml-autoloads
/usr/share/emacs/site-lisp/elpa/esxml-0.3.5/esxml hides /usr/share/emacs/site-lisp/elpa-src/esxml-0.3.5/esxml
/usr/share/emacs/site-lisp/elpa/esxml-0.3.5/esxml-query hides /usr/share/emacs/site-lisp/elpa-src/esxml-0.3.5/esxml-query
/usr/share/emacs/site-lisp/elpa/folding-20200825.748/folding hides /usr/share/emacs/site-lisp/elpa-src/folding-20200825.748/folding
/usr/share/emacs/site-lisp/elpa/folding-20200825.748/folding-autoloads hides /usr/share/emacs/site-lisp/elpa-src/folding-20200825.748/folding-autoloads
/usr/share/emacs/site-lisp/elpa/folding-20200825.748/folding-pkg hides /usr/share/emacs/site-lisp/elpa-src/folding-20200825.748/folding-pkg
/usr/share/emacs/site-lisp/elpa/git-commit-2.99.0/git-commit-pkg hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.99.0/git-commit-pkg
/usr/share/emacs/site-lisp/elpa/git-commit-2.99.0/git-commit-autoloads hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.99.0/git-commit-autoloads
/usr/share/emacs/site-lisp/elpa/git-commit-2.99.0/git-commit hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.99.0/git-commit
/usr/share/emacs/site-lisp/elpa/graphviz-dot-mode-0.4.2/graphviz-dot-mode hides /usr/share/emacs/site-lisp/elpa-src/graphviz-dot-mode-0.4.2/graphviz-dot-mode
/usr/share/emacs/site-lisp/elpa/graphviz-dot-mode-0.4.2/graphviz-dot-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/graphviz-dot-mode-0.4.2/graphviz-dot-mode-autoloads
/usr/share/emacs/site-lisp/elpa/graphviz-dot-mode-0.4.2/company-graphviz-dot hides /usr/share/emacs/site-lisp/elpa-src/graphviz-dot-mode-0.4.2/company-graphviz-dot
/usr/share/emacs/site-lisp/elpa/graphviz-dot-mode-0.4.2/graphviz-dot-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/graphviz-dot-mode-0.4.2/graphviz-dot-mode-pkg
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-load hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-load
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-customize hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-customize
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-mode-pkg
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-indent hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-indent
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/ghc-core hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/ghc-core
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-session hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-session
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-repl hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-repl
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-utils hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-utils
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-decl-scan hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-decl-scan
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-collapse hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-collapse
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-lexeme hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-lexeme
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-ghc-support hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-ghc-support
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-process hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-process
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/inf-haskell hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/inf-haskell
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-complete-module hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-complete-module
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-sandbox hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-sandbox
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-sort-imports hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-sort-imports
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-modules hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-modules
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-cabal hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-cabal
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-doc hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-doc
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/highlight-uses-mode hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/highlight-uses-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-svg hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-svg
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-hoogle hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-hoogle
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-interactive-mode hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-interactive-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-align-imports hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-align-imports
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-unicode-input-method hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-unicode-input-method
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-mode hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-commands hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-commands
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-move-nested hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-move-nested
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-compile hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-compile
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-font-lock hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-font-lock
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-c2hs hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-c2hs
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-indentation hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-indentation
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/ghci-script-mode hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/ghci-script-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-menu hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-menu
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-string hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-string
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-navigate-imports hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-navigate-imports
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-mode-autoloads
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-debug hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-debug
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-presentation-mode hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-presentation-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/w3m-haddock hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/w3m-haddock
/usr/share/emacs/site-lisp/elpa/haskell-mode-17.2snapshot/haskell-completions hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-17.2snapshot/haskell-completions
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-elisp hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-elisp
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-info hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-info
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-eshell hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-eshell
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-comint hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-comint
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-grep hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-grep
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-dabbrev hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-dabbrev
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-external hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-external
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-global-bindings hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-global-bindings
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-pkg hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-pkg
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-eval hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-eval
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-man hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-man
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-bookmark hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-bookmark
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-find hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-find
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-occur hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-occur
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-shell hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-shell
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-color hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-color
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-easymenu hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-easymenu
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-ring hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-ring
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-utils hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-utils
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-id-utils hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-id-utils
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-net hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-net
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-semantic hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-semantic
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-regexp hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-regexp
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-types hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-types
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-elisp-package hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-elisp-package
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-mode hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-mode
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-misc hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-misc
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-help hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-help
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-for-files hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-for-files
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-autoloads hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-autoloads
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-config hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-config
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-tags hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-tags
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-command hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-command
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-buffers hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-buffers
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-adaptive hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-adaptive
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-font hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-font
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-sys hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-sys
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-x-files hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-x-files
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-imenu hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-imenu
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-files hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-files
/usr/share/emacs/site-lisp/elpa/helm-3.6.5/helm-locate hides /usr/share/emacs/site-lisp/elpa-src/helm-3.6.5/helm-locate
/usr/share/emacs/site-lisp/elpa/helm-core-3.6.5/helm-lib hides /usr/share/emacs/site-lisp/elpa-src/helm-core-3.6.5/helm-lib
/usr/share/emacs/site-lisp/elpa/helm-core-3.6.5/helm-core-autoloads hides /usr/share/emacs/site-lisp/elpa-src/helm-core-3.6.5/helm-core-autoloads
/usr/share/emacs/site-lisp/elpa/helm-core-3.6.5/helm-core-pkg hides /usr/share/emacs/site-lisp/elpa-src/helm-core-3.6.5/helm-core-pkg
/usr/share/emacs/site-lisp/elpa/helm-core-3.6.5/helm-source hides /usr/share/emacs/site-lisp/elpa-src/helm-core-3.6.5/helm-source
/usr/share/emacs/site-lisp/elpa/helm-core-3.6.5/helm-multi-match hides /usr/share/emacs/site-lisp/elpa-src/helm-core-3.6.5/helm-multi-match
/usr/share/emacs/site-lisp/elpa/helm-core-3.6.5/helm hides /usr/share/emacs/site-lisp/elpa-src/helm-core-3.6.5/helm
/usr/share/emacs/site-lisp/elpa/hl-todo-3.1.2/hl-todo-pkg hides /usr/share/emacs/site-lisp/elpa-src/hl-todo-3.1.2/hl-todo-pkg
/usr/share/emacs/site-lisp/elpa/hl-todo-3.1.2/hl-todo hides /usr/share/emacs/site-lisp/elpa-src/hl-todo-3.1.2/hl-todo
/usr/share/emacs/site-lisp/elpa/hl-todo-3.1.2/hl-todo-autoloads hides /usr/share/emacs/site-lisp/elpa-src/hl-todo-3.1.2/hl-todo-autoloads
/usr/share/emacs/site-lisp/elpa/htmlize-1.55/htmlize hides /usr/share/emacs/site-lisp/elpa-src/htmlize-1.55/htmlize
/usr/share/emacs/site-lisp/elpa/htmlize-1.55/htmlize-pkg hides /usr/share/emacs/site-lisp/elpa-src/htmlize-1.55/htmlize-pkg
/usr/share/emacs/site-lisp/elpa/htmlize-1.55/htmlize-autoloads hides /usr/share/emacs/site-lisp/elpa-src/htmlize-1.55/htmlize-autoloads
/usr/share/emacs/site-lisp/elpa/initsplit-1.8/initsplit-autoloads hides /usr/share/emacs/site-lisp/elpa-src/initsplit-1.8/initsplit-autoloads
/usr/share/emacs/site-lisp/elpa/initsplit-1.8/initsplit-test hides /usr/share/emacs/site-lisp/elpa-src/initsplit-1.8/initsplit-test
/usr/share/emacs/site-lisp/elpa/initsplit-1.8/initsplit-pkg hides /usr/share/emacs/site-lisp/elpa-src/initsplit-1.8/initsplit-pkg
/usr/share/emacs/site-lisp/elpa/initsplit-1.8/initsplit hides /usr/share/emacs/site-lisp/elpa-src/initsplit-1.8/initsplit
/usr/share/emacs/site-lisp/elpa/lua-mode-20151025/init-tryout hides /usr/share/emacs/site-lisp/elpa-src/lua-mode-20151025/init-tryout
/usr/share/emacs/site-lisp/elpa/lua-mode-20151025/lua-mode hides /usr/share/emacs/site-lisp/elpa-src/lua-mode-20151025/lua-mode
/usr/share/emacs/site-lisp/elpa/lua-mode-20151025/lua-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/lua-mode-20151025/lua-mode-pkg
/usr/share/emacs/site-lisp/elpa/lua-mode-20151025/lua-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/lua-mode-20151025/lua-mode-autoloads
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-subtree hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-subtree
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-margin hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-margin
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-utils hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-utils
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-tag hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-tag
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-push hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-push
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-status hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-status
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-section hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-section
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-submodule hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-submodule
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-fetch hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-fetch
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-process hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-process
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-mode hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-mode
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-stash hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-stash
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-sequence hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-sequence
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-log hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-log
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-blame hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-blame
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-autoloads hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-autoloads
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-patch hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-patch
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-core hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-core
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-bookmark hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-bookmark
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-transient hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-transient
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-imenu hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-imenu
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-pull hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-pull
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-worktree hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-worktree
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-refs hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-refs
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-extras hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-extras
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-files hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-files
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-apply hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-apply
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-bisect hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-bisect
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-clone hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-clone
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-notes hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-notes
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-remote hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-remote
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-commit hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-commit
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-obsolete hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-obsolete
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-git hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-git
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-diff hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-diff
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-gitignore hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-gitignore
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-reflog hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-reflog
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/git-rebase hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/git-rebase
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-pkg hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-pkg
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-autorevert hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-autorevert
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-merge hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-merge
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-branch hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-branch
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-reset hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-reset
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-repos hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-repos
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-wip hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-wip
/usr/share/emacs/site-lisp/elpa/magit-2.99.0/magit-ediff hides /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0/magit-ediff
/usr/share/emacs/site-lisp/elpa/markdown-mode-2.4/markdown-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/markdown-mode-2.4/markdown-mode-autoloads
/usr/share/emacs/site-lisp/elpa/markdown-mode-2.4/markdown-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/markdown-mode-2.4/markdown-mode-pkg
/usr/share/emacs/site-lisp/elpa/markdown-mode-2.4/markdown-mode hides /usr/share/emacs/site-lisp/elpa-src/markdown-mode-2.4/markdown-mode
/usr/share/emacs/site-lisp/elpa/mutt-alias-1.4/mutt-alias hides /usr/share/emacs/site-lisp/elpa-src/mutt-alias-1.4/mutt-alias
/usr/share/emacs/site-lisp/elpa/mutt-alias-1.4/mutt-alias-autoloads hides /usr/share/emacs/site-lisp/elpa-src/mutt-alias-1.4/mutt-alias-autoloads
/usr/share/emacs/site-lisp/elpa/mutt-alias-1.4/mutt-alias-pkg hides /usr/share/emacs/site-lisp/elpa-src/mutt-alias-1.4/mutt-alias-pkg
/usr/share/emacs/site-lisp/elpa/muttrc-mode-1.2.1/muttrc-mode hides /usr/share/emacs/site-lisp/elpa-src/muttrc-mode-1.2.1/muttrc-mode
/usr/share/emacs/site-lisp/elpa/muttrc-mode-1.2.1/muttrc-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/muttrc-mode-1.2.1/muttrc-mode-pkg
/usr/share/emacs/site-lisp/elpa/muttrc-mode-1.2.1/muttrc-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/muttrc-mode-1.2.1/muttrc-mode-autoloads
/usr/share/emacs/site-lisp/elpa/nov-0.3.0/nov-autoloads hides /usr/share/emacs/site-lisp/elpa-src/nov-0.3.0/nov-autoloads
/usr/share/emacs/site-lisp/elpa/nov-0.3.0/nov-pkg hides /usr/share/emacs/site-lisp/elpa-src/nov-0.3.0/nov-pkg
/usr/share/emacs/site-lisp/elpa/debian-el-37/debian-autoloads hides /usr/share/emacs/site-lisp/elpa-src/nov-0.3.0/debian-autoloads
/usr/share/emacs/site-lisp/elpa/nov-0.3.0/nov hides /usr/share/emacs/site-lisp/elpa-src/nov-0.3.0/nov
/usr/share/emacs/site-lisp/elpa/paredit-24/paredit-pkg hides /usr/share/emacs/site-lisp/elpa-src/paredit-24/paredit-pkg
/usr/share/emacs/site-lisp/elpa/paredit-24/paredit-autoloads hides /usr/share/emacs/site-lisp/elpa-src/paredit-24/paredit-autoloads
/usr/share/emacs/site-lisp/elpa/paredit-24/paredit hides /usr/share/emacs/site-lisp/elpa-src/paredit-24/paredit
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-util-buffer hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-util-buffer
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-mode-pkg
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-align hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-align
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-mode-debug hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-mode-debug
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-mode-autoloads
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-project hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-project
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-mode hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-mode
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php-face hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php-face
/usr/share/emacs/site-lisp/elpa/php-mode-1.23.0/php hides /usr/share/emacs/site-lisp/elpa-src/php-mode-1.23.0/php
/usr/share/emacs/site-lisp/elpa/pkg-info-0.6/pkg-info hides /usr/share/emacs/site-lisp/elpa-src/pkg-info-0.6/pkg-info
/usr/share/emacs/site-lisp/elpa/pkg-info-0.6/pkg-info-autoloads hides /usr/share/emacs/site-lisp/elpa-src/pkg-info-0.6/pkg-info-autoloads
/usr/share/emacs/site-lisp/elpa/pkg-info-0.6/pkg-info-pkg hides /usr/share/emacs/site-lisp/elpa-src/pkg-info-0.6/pkg-info-pkg
/usr/share/emacs/site-lisp/elpa/pod-mode-1.3/pod-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/pod-mode-1.3/pod-mode-autoloads
/usr/share/emacs/site-lisp/elpa/pod-mode-1.3/pod-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/pod-mode-1.3/pod-mode-pkg
/usr/share/emacs/site-lisp/elpa/pod-mode-1.3/pod-mode hides /usr/share/emacs/site-lisp/elpa-src/pod-mode-1.3/pod-mode
/usr/share/emacs/site-lisp/elpa/popup-0.5.8/popup-pkg hides /usr/share/emacs/site-lisp/elpa-src/popup-0.5.8/popup-pkg
/usr/share/emacs/site-lisp/elpa/popup-0.5.8/popup hides /usr/share/emacs/site-lisp/elpa-src/popup-0.5.8/popup
/usr/share/emacs/site-lisp/elpa/popup-0.5.8/popup-autoloads hides /usr/share/emacs/site-lisp/elpa-src/popup-0.5.8/popup-autoloads
/usr/share/emacs/site-lisp/elpa/puppet-mode-0.4/puppet-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/puppet-mode-0.4/puppet-mode-autoloads
/usr/share/emacs/site-lisp/elpa/puppet-mode-0.4/puppet-mode hides /usr/share/emacs/site-lisp/elpa-src/puppet-mode-0.4/puppet-mode
/usr/share/emacs/site-lisp/elpa/puppet-mode-0.4/puppet-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/puppet-mode-0.4/puppet-mode-pkg
/usr/share/emacs/site-lisp/elpa/session-2.4.2/session-autoloads hides /usr/share/emacs/site-lisp/elpa-src/session-2.4.2/session-autoloads
/usr/share/emacs/site-lisp/elpa/session-2.4.2/session hides /usr/share/emacs/site-lisp/elpa-src/session-2.4.2/session
/usr/share/emacs/site-lisp/elpa/session-2.4.2/session-pkg hides /usr/share/emacs/site-lisp/elpa-src/session-2.4.2/session-pkg
/usr/share/emacs/site-lisp/elpa/systemd-1.6/systemd-autoloads hides /usr/share/emacs/site-lisp/elpa-src/systemd-1.6/systemd-autoloads
/usr/share/emacs/site-lisp/elpa/systemd-1.6/systemd-pkg hides /usr/share/emacs/site-lisp/elpa-src/systemd-1.6/systemd-pkg
/usr/share/emacs/site-lisp/elpa/systemd-1.6/systemd hides /usr/share/emacs/site-lisp/elpa-src/systemd-1.6/systemd
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/one-buffer-one-frame hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/one-buffer-one-frame
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/aquamacs-tools hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/aquamacs-tools
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/tabbar hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/tabbar
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/aquamacs-compat hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/aquamacs-compat
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/tabbar-pkg hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/tabbar-pkg
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/aquamacs-tabbar hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/aquamacs-tabbar
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/tabbar-window hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/tabbar-window
/usr/share/emacs/site-lisp/elpa/tabbar-20160524/tabbar-autoloads hides /usr/share/emacs/site-lisp/elpa-src/tabbar-20160524/tabbar-autoloads
/usr/share/emacs/site-lisp/elpa/transient-0.2.0.30/transient-pkg hides /usr/share/emacs/site-lisp/elpa-src/transient-0.2.0.30/transient-pkg
/usr/share/emacs/site-lisp/elpa/transient-0.2.0.30/transient hides /usr/share/emacs/site-lisp/elpa-src/transient-0.2.0.30/transient
/usr/share/emacs/site-lisp/elpa/transient-0.2.0.30/transient-autoloads hides /usr/share/emacs/site-lisp/elpa-src/transient-0.2.0.30/transient-autoloads
/usr/share/emacs/site-lisp/elpa/with-editor-3.0.2/with-editor-pkg hides /usr/share/emacs/site-lisp/elpa-src/with-editor-3.0.2/with-editor-pkg
/usr/share/emacs/site-lisp/elpa/with-editor-3.0.2/with-editor hides /usr/share/emacs/site-lisp/elpa-src/with-editor-3.0.2/with-editor
/usr/share/emacs/site-lisp/elpa/with-editor-3.0.2/with-editor-autoloads hides /usr/share/emacs/site-lisp/elpa-src/with-editor-3.0.2/with-editor-autoloads
/usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.15/yaml-mode-pkg hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.15/yaml-mode-pkg
/usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.15/yaml-mode hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.15/yaml-mode
/usr/share/emacs/site-lisp/elpa/yaml-mode-0.0.15/yaml-mode-autoloads hides /usr/share/emacs/site-lisp/elpa-src/yaml-mode-0.0.15/yaml-mode-autoloads
/usr/share/emacs/site-lisp/elpa/transient-0.2.0.30/transient hides /usr/share/emacs/28.1/lisp/transient
/usr/share/emacs/site-lisp/flim/sasl hides /usr/share/emacs/28.1/lisp/net/sasl

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec gnus-util
rmail rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader apropos tabify
help-fns radix-tree cl-print debug backtrace find-func windmove vc-git
diff-mode vc-dispatcher paredit comp comp-cstr warnings cl-extra
help-mode cus-edit pp cus-start cus-load wid-edit misearch multi-isearch
noutline outline easy-mmode view dired-aux dired dired-loaddefs ffap
thingatpt gnutls network-stream puny nsm rmc epa-file epa derived epg
rfc6068 epg-config rcirc parse-time iso8601 time-date ring term/screen
term/xterm xterm server advice sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils jka-compr edmacro kmacro disp-table
hl-todo ido savehist icomplete delsel saveplace finder-inf w3m-load
dpkg-dev-el info debian-el rx package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 270616 14062)
 (symbols 48 15639 0)
 (strings 32 71078 3477)
 (string-bytes 1 2179177)
 (vectors 16 27527)
 (vector-slots 8 510255 13750)
 (floats 8 87 1015)
 (intervals 56 6944 0)
 (buffers 992 39))




Acknowledgement sent to "Trent W. Buck" <trentbuck@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57376; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.